PartitionRegionInfo (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.partition

## Interface PartitionRegionInfo

-     public interface PartitionRegionInfo

  Information describing the data storage and distribution of a partitioned region. The `PartitionRegionHelper` is used to gather `PartitionRegionInfo`. Each instance describes a single partitioned region identified by `getRegionPath()`.

  This is an immutable snapshot of the information.

  Since:
    GemFire 6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActualRedundantCopies()` Returns the lowest number of redundant copies for any bucket holding data for the partitioned region.
    `java.lang.String` | `getColocatedWith()` Returns the `full path` of the partitioned region that this region has been configured to be `colocated with` or null if it is not colocated.
    `int` | `getConfiguredBucketCount()` Returns the `configured number of buckets` for the partitioned region.
    `int` | `getConfiguredRedundantCopies()` Returns the number of `redundant copies` the partitioned region was configured for.
    `int` | `getCreatedBucketCount()` Returns the number of actual buckets that have been created to hold data for the partitioned region.
    `int` | `getLowRedundancyBucketCount()` Returns the number of created buckets that have fewer than the `configured redundant copies` for this partitioned region.
    `java.util.Set<PartitionMemberInfo>` | `getPartitionMemberInfo()` Returns an immutable set of `PartitionMemberInfo` representing every member that is configured to provide storage space to the partitioned region.
    `java.lang.String` | `getRegionPath()` Returns the `full path` of the partitioned region that this object describes.

- - ### Method Detail

    - #### getRegionPath

          java.lang.String getRegionPath()

      Returns the `full path` of the partitioned region that this object describes.
      Returns:
        the full path of the partitioned region that this info describes

    - #### getPartitionMemberInfo

          java.util.Set<PartitionMemberInfo> getPartitionMemberInfo()

      Returns an immutable set of `PartitionMemberInfo` representing every member that is configured to provide storage space to the partitioned region.
      Returns:
        set of member info configured for storage space

    - #### getConfiguredBucketCount

          int getConfiguredBucketCount()

      Returns the `configured number of buckets` for the partitioned region.
      Returns:
        the configured number of buckets

    - #### getCreatedBucketCount

          int getCreatedBucketCount()

      Returns the number of actual buckets that have been created to hold data for the partitioned region. This is less than or equal to {#link #getConfiguredBucketCount()}.
      Returns:
        the current number of actual buckets that have been created

    - #### getLowRedundancyBucketCount

          int getLowRedundancyBucketCount()

      Returns the number of created buckets that have fewer than the `configured redundant copies` for this partitioned region.
      Returns:
        the number of created buckets that have fewer than the configured redundant copies
      See Also:
        `getActualRedundantCopies()`

    - #### getConfiguredRedundantCopies

          int getConfiguredRedundantCopies()

      Returns the number of `redundant copies` the partitioned region was configured for.
      Returns:
        the number of redundant copies the partitioned region was configured for

    - #### getActualRedundantCopies

          int getActualRedundantCopies()

      Returns the lowest number of redundant copies for any bucket holding data for the partitioned region. If all data is currently at full redundancy then this will return the same value as `getConfiguredRedundantCopies()`.
      Returns:
        the lowest number of redundant copies for any bucket of the partitioned region.

    - #### getColocatedWith

          java.lang.String getColocatedWith()

      Returns the `full path` of the partitioned region that this region has been configured to be `colocated with` or null if it is not colocated.
      Returns:
        the full path of the partitioned region that the region is colocated with or null if there is none.